Ana içeriğe atla

Endpoint

PATCH /apiops/projects/{projectName}/apiProxies/{apiProxyName}/endpoints/wsa/

Authentication

Requires a Personal API Access Token.
Authorization: Bearer YOUR_TOKEN

Request

Headers

HeaderValueRequired
AuthorizationBearer Yes
Content-Typeapplication/jsonYes

Path Parameters

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyNamestringYesAPI Proxy name

Request Body

Full JSON Body Example - Basic WSA Settings

{
  "identifierName": "getUser",
  "identifierHttpMethod": "POST",
  "wsaSettings": {
    "wsaEnabled": true,
    "wsaMustUnderstand": "NONE",
    "wsaVersion": "V200508",
    "wsaAddDefaultAction": true,
    "wsaAction": null,
    "wsaAddDefaultTo": true,
    "wsaTo": null,
    "wsaReplyTo": null,
    "wsaGenerateMessageId": true,
    "wsaMessageId": null,
    "wsaFrom": null,
    "wsaFaultTo": null,
    "wsaRelatesTo": null,
    "wsaRelationShipType": null
  }
}

Full JSON Body Example - Custom WSA Settings

{
  "identifierName": "getUser",
  "identifierHttpMethod": "POST",
  "wsaSettings": {
    "wsaEnabled": true,
    "wsaMustUnderstand": "TRUE",
    "wsaVersion": "V200508",
    "wsaAddDefaultAction": false,
    "wsaAction": "http://example.com/soap/action",
    "wsaAddDefaultTo": false,
    "wsaTo": "http://example.com/soap/service",
    "wsaReplyTo": "http://example.com/soap/reply",
    "wsaGenerateMessageId": false,
    "wsaMessageId": "urn:uuid:12345678-1234-1234-1234-123456789012",
    "wsaFrom": "http://example.com/soap/from",
    "wsaFaultTo": "http://example.com/soap/fault",
    "wsaRelatesTo": "urn:uuid:87654321-4321-4321-4321-210987654321",
    "wsaRelationShipType": "Reply"
  },
  "deploy": false,
  "deployTargetEnvironmentNameList": []
}

Request Body Fields

FieldTypeRequiredDefaultDescription
identifierNamestringYes-Endpoint name (used to identify the endpoint)
identifierHttpMethodstringYes-HTTP method for the endpoint (used to identify the endpoint). See EnumHttpRequestMethod
wsaSettingsobjectYes-WSA settings object (see fields below)
deploybooleanNofalseIf true, deploy the API proxy after saving changes
deployTargetEnvironmentNameListarray[string]No-List of environment names to deploy to (required when deploy=true)

WSA Settings Object Fields

FieldTypeRequiredDefaultDescription
wsaEnabledbooleanNofalseEnable WS-Addressing
wsaMustUnderstandstringNoNONEMustUnderstand attribute value. See EnumSoapWsaMustUnderstand
wsaVersionstringNoV200508WSA version. See EnumSoapWsaVersion
wsaAddDefaultActionbooleanNofalseAdd default Action from SOAP action
wsaActionstringNonullCustom Action URI (if wsaAddDefaultAction is false)
wsaAddDefaultTobooleanNofalseAdd default To address from target
wsaTostringNonullCustom To address (if wsaAddDefaultTo is false)
wsaReplyTostringNonullReplyTo address URI
wsaGenerateMessageIdbooleanNofalseGenerate MessageID automatically
wsaMessageIdstringNonullCustom MessageID (if wsaGenerateMessageId is false)
wsaFromstringNonullFrom address URI
wsaFaultTostringNonullFaultTo address URI
wsaRelatesTostringNonullRelatesTo message ID
wsaRelationShipTypestringNonullRelationshipType for RelatesTo

EnumSoapWsaMustUnderstand (wsaMustUnderstand)

  • NONE - No mustUnderstand attribute (default)
  • TRUE - mustUnderstand=“true”
  • FALSE - mustUnderstand=“false”

EnumSoapWsaVersion (wsaVersion)

Notes

  • This endpoint is only available for SOAP API Proxies.
  • wsaEnabled: true enables WS-Addressing headers in SOAP messages.
  • wsaAddDefaultAction: true uses the SOAP action from the method definition.
  • wsaAddDefaultTo: true uses the target address as the To address.
  • wsaGenerateMessageId: true automatically generates a UUID-based MessageID.
  • MessageID format: urn:uuid:{UUID}
  • Addresses should be valid URIs.

Response

Success Response (200 OK)

{
  "success": true
}
When deploy=true is specified:
{
  "success": true,
  "deploymentResult": {
    "success": true,
    "deploymentResults": [
      {
        "environmentName": "production",
        "success": true,
        "message": "Deployment successful"
      }
    ]
  }
}

Response Fields

FieldTypeDescription
successbooleanIndicates if the request was successful
deploymentResultobjectDeployment result (only present when deploy=true)
deploymentResult.successbooleanWhether the overall deployment was successful
deploymentResult.deploymentResultsarrayPer-environment deployment results

cURL Example

curl -X PATCH \
  "https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/endpoints/wsa/" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "identifierName": "getUser",
    "identifierHttpMethod": "POST",
    "wsaSettings": {
      "wsaEnabled": true,
      "wsaMustUnderstand": "NONE",
      "wsaVersion": "V200508",
      "wsaAddDefaultAction": true,
      "wsaAddDefaultTo": true,
      "wsaGenerateMessageId": true
    }
  }'

Save and Deploy

curl -X PATCH \
  "https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/endpoints/wsa/" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "identifierName": "getUser",
    "identifierHttpMethod": "POST",
    "wsaSettings": {
      "wsaEnabled": true,
      "wsaVersion": "V200508",
      "wsaAddDefaultAction": true,
      "wsaAddDefaultTo": true,
      "wsaGenerateMessageId": true
    },
    "deploy": true,
    "deployTargetEnvironmentNameList": ["production"]
  }'

Permissions

User must have API_MANAGEMENT + MANAGE permission in the project.

Notes and Warnings

  • SOAP Only:
    • WSA settings are only available for SOAP API Proxies
    • REST endpoints do not support WS-Addressing
  • WSA Version:
    • V200508 - Modern standard (recommended)
    • V200408 - Legacy version
  • Action:
    • wsaAddDefaultAction: true - Uses SOAP action from method
    • wsaAddDefaultAction: false - Requires custom wsaAction
  • To Address:
    • wsaAddDefaultTo: true - Uses target address
    • wsaAddDefaultTo: false - Requires custom wsaTo
  • MessageID:
    • wsaGenerateMessageId: true - Auto-generates UUID
    • wsaGenerateMessageId: false - Requires custom wsaMessageId
  • MustUnderstand:
    • Controls whether WSA headers must be understood
    • TRUE - Headers must be understood (may cause errors if not supported)
    • FALSE - Headers optional
    • NONE - No mustUnderstand attribute
  • Deploy: When deploy=true, the API proxy is automatically deployed to the specified environments after saving